/***********************************************************
*                      K O U L E S                         *
*----------------------------------------------------------*
*  C1995 JAHUSOFT                                          *
*        Jan Hubicka                                       *
*        Dukelskych Bojovniku 1944                         *
*        390 03 Tabor                                      *
*        Czech Republic                                    *
*        Phone: 0041-361-32613                             *
*        eMail: hubicka@limax.paru.cas.cz                  *
*----------------------------------------------------------*
*   Copyright(c)1995,1996 by Jan Hubicka.See README for    *
*                     licence details.                     *
*----------------------------------------------------------*
*  interface.h   interface for vgakeyboard                 *
***********************************************************/
/* Changes: joystick A button included into buttons        *
 *  for which function "Pressed()" returns 1               *
 *  (c) 1997 by Ludvik Tesar (Ludv\'{\i}k Tesa\v{r})       *
 ************************LT*********************************/

#define SCANCODE_P 25

#define IsPressed(scancode) key[scancode]
#ifdef MOUSE
#define UpdateInput()
#define MouseButtons() (!nomouse?mouse_b:0)
#define MouseX() (!nomouse?mouse_x:0)
#define MouseY() (!nomouse?mouse_y:0)
#else
#define UpdateInput() DUMMY
#define MouseButtons() DUMMY
#define MouseX() DUMMY
#define MouseY() DUMMY
#endif

int Pressed ();

int GetKey ();

#define IsPressedEsc() IsPressed (KEY_ESC)

#define IsPressedP() IsPressed (KEY_P)
#define IsPressedH() IsPressed (35)

#define IsPressedEnter() (IsPressed (KEY_ENTER)||\
                        IsPressed (KEY_SPACE))
                        /*IsPressed (SCANCODE_KEYPADENTER))*/

#define IsPressedUp() (IsPressed (KEY_UP))
                     /*IsPressed (SCANCODE_CURSORBLOCKUP))*/

#define IsPressedDown() (IsPressed (KEY_DOWN))
                     /*IsPressed (SCANCODE_CURSORBLOCKDOWN))*/
#define IsPressedLeft() (IsPressed (KEY_LEFT))
                     /*IsPressed (SCANCODE_CURSORBLOCKLEFT))*/

#define IsPressedRight() (IsPressed (KEY_RIGHT))
                     /*IsPressed (SCANCODE_CURSORBLOCKRIGHT))*/
