#include <stdio.h>
#ifdef JOYSTICK
#include <allegro.h>
#include "koules.h"
#include "joy.h"
int joystickdevice[2] =
{-1, -1};
int calibrated[2];
int center[2][2];
char *calibratemessage;
int 
joystick_init ()
{
 install_joystick(JOY_TYPE_AUTODETECT);
 if(joy_type!=JOY_TYPE_NONE) joystickdevice[0]=joystickdevice[1]=5, printf("Joystick found\n"); else {printf("Joystick not found\n"); joystickplayer[0]=joystickplayer[1]=-1; return 0; }
 if(joy_type!=JOY_TYPE_2PADS) calibrated[1]=0, joystickdevice[1]=-1; 
 /*if(load_joystick_data("joystick.dat")) calibrated[0]=calibrated[1]=1;*/
 return 1;
}

void 
process_joystick ()
{
  double x, y;
  poll_joystick();
      if (joystickplayer[0] >= 0)
	{
	  if (object[joystickplayer[0]].type == ROCKET) {
	  x = - center[0][0] + joy_x;
	  y = - center[0][1] + joy_y;
          if (x<0) x/=128.0+center[0][0];
          else
          x/=128.0-center[0][0];
          if (y<0) y/=128.0+center[0][1];
          else
          y/=128.0-center[0][1];
	  controls[joystickplayer[0]].jx = x;
	  controls[joystickplayer[0]].jy = y;
	  controls[joystickplayer[0]].mask = joy_b1|joy_b2;
	  controls[joystickplayer[0]].type = C_JOYSTICK1;
}
	}
      if (joystickplayer[1] >= 0)
	{
	  if (object[joystickplayer[0]].type == ROCKET) {
	  x = - center[1][0] + joy2_x;
	  y = - center[1][1] + joy2_y;
          if (x<0) x/=128.0+center[1][0];
          else
          x/=128.0-center[1][0];
          if (y<0) y/=128.0+center[1][1];
          else
          y/=128.0-center[1][1];
	  controls[joystickplayer[1]].jx = x;
	  controls[joystickplayer[1]].jy = y;
	  controls[joystickplayer[1]].mask = joy2_b1|joy2_b2;
	  controls[joystickplayer[1]].type = C_JOYSTICK1;
}
	}
}

/*Return values:
   -1 failure - disable joystick forever

   joypos is 0 for "move to lower right corner
   1 for "center joystick"
 */
int
joystick_calibrate (int joystick, int *x, int *y)
{
  static int lastbutton, button;
  poll_joystick();
  button = lastbutton;
  if (!(joy[joystick].flags & JOYFLAG_CALIBRATE))
  {
  if(!joystick) *x=joy_x, *y=joy_y; else *x=joy2_x, *y=joy2_y;
  } else
  *x=65537;
  lastbutton = joy_b1 + joy_b2 + joy2_b1 + joy2_b2 + IsPressedEnter (); 
  if ((button == 0x00 || lastbutton != 0x00))
	return 1;
  if (joy[joystick].flags & JOYFLAG_CALIBRATE)
            calibrate_joystick(joystick), calibratemessage=calibrate_joystick_name(joystick);
  else
      {if (!joystick) center[0][0]=joy_x,center[0][1]=joy_y; else center[1][0]=joy_x,center[1][1]=joy_y; calibrated[joystick]=1;return 0;}
 if(!calibratemessage) calibratemessage="Center joystick";
  return 1;
}

/*return values:
   0 - joystick not available
   1 - OK
   2 - calibration is not neccesary (and available)
 */
int
calibrate_init (int joystick)
{
 if(joy_type!=JOY_TYPE_2PADS&&joystick) return 0; 
 initialise_joystick(joystick);
 calibratemessage=calibrate_joystick_name(joystick);
 if(!calibratemessage) calibratemessage="Center joystick";
/* initialise_joystick();*/
  return 1;
}
#endif
